# Changelog

All notable changes to this project will be documented in this file.

## [0.0.1] - Friday, 28th August 2020.

### Initial Features

- Status class added.
- Response class added.
- Helper mixins added. Compatible with ChangeNotifier/Provider:
    * StatusMixin. Handles the boilerplate for adding Status to a Provider.
    * ProcessMixin. Handles the boilerplate for managing a boolean value (isProcessing).
       This can be used block the UI when a crucial task is in progress.
    * PlatformsMixin. Compatible with Stateful & Stateless widgets. Provides 2 boolean values.
        - isAndroid: True if the platform is Android.
        - isIOS: True if the platform is iOS.